Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.xml
Class StringSAXEventProvider

    java.lang.Object
      org.crosswire.common.xml.StringSAXEventProvider

All Implemented Interfaces:
  SAXEventProvider

    public class StringSAXEventProvider

extends Object
implements SAXEventProvider

A SAXEventProvider that provides SAX events from a String.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: StringSAXEventProvider.java,v 1.3 2004/09/08 19:54:24 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`private XMLReader` | `reader` The SAX parser
`private String` | `xmlstr` The source of XML data

Constructor Summary
`StringSAXEventProvider(String xmlstr)` Simple ctor

Method Summary
`void` | `provideSAXEvents(ContentHandler handler)` When SAX events are required the user of this interface can call this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reader

    private XMLReader reader

  The SAX parser

### xmlstr

    private String xmlstr

  The source of XML data

Constructor Detail

### StringSAXEventProvider

    public StringSAXEventProvider(String xmlstr)
                           throws ParserConfigurationException,
                                  SAXException

  Simple ctor

  Throws:
    `ParserConfigurationException`
    `SAXException`

Method Detail

### provideSAXEvents

    public void provideSAXEvents(ContentHandler handler)
                          throws SAXException

  Description copied from interface: `SAXEventProvider`
  When SAX events are required the user of this interface can call this method.

  Specified by:
    `provideSAXEvents` in interface `SAXEventProvider`
  Parameters:
    `handler` - The place to send SAX events.
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD